Loading...
Searching...
No Matches
seqan3::suffix_array_interval Struct Reference
Search » FM Index

The underlying suffix array interval. More...

`#include <seqan3/search/fm_index/fm_index_cursor.hpp>`

## Public Attributes

size_t | begin_position {}
| The begin position of the interval ("left boundary").
size_t | end_position {}
| The exclusive end position of the interval ("right boundary").

## Friends

Comparison operators
bool | operator== (suffix_array_interval const &lhs, suffix_array_interval const &rhs) noexcept
| Test for equality.
bool | operator!= (suffix_array_interval const &lhs, suffix_array_interval const &rhs) noexcept
| Test for inequality.

## Detailed Description

The underlying suffix array interval.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | suffix_array_interval const & | lhs,
|  | suffix_array_interval const & | rhs )

friend

Test for inequality.

Parameters

  [in] | lhs | A seqan3::suffix_array_interval.
  [in] | rhs | seqan3::suffix_array_interval to compare to.

Returns
  true if unequal, false otherwise.

## operator==

bool operator== | ( | suffix_array_interval const & | lhs,
|  | suffix_array_interval const & | rhs )

friend

Test for equality.

Parameters

  [in] | lhs | A seqan3::suffix_array_interval.
  [in] | rhs | seqan3::suffix_array_interval to compare to.

Returns
  true if equal, false otherwise.

The documentation for this struct was generated from the following file:

- fm_index_cursor.hpp

Hide me